Subject: bug#15758: Bug#730472: bug#15758: grep 2.15 calls abort() on larger searches with -P

From: Jim Meyering <[email-masked]>
Date: Sat, 21 Dec 2013 10:46:18 -0800

On Thu, Dec 19, 2013 at 10:34 AM, Jim Meyering <[email-masked]> wrote:
> I have confirmed that grep linked with libpcre.a built from upstream
> sources [commit f9d3a72ea5e86a674a9836b462e1231ecce0d739] (8.34) also
> works the way I expect.

More data points: Fedora 20 and OS/X work both with pcre-8.33, so I
conclude this is a problem specific to some Debian-specific patch.

I expect to push that patch as-is and defer to a separate commit
(or maybe even skip altogether) any portability hack that might warn
or disable PCRE support when detecting the broken library.

-- 
To UNSUBSCRIBE, email to [email-masked]
with a subject of "unsubscribe". Trouble? Contact [email-masked]